* {
  padding: 0;
  margin: 0;
}

html {
  scroll-behavior: smooth;
}
html,
body {
  padding: 0;
  margin: 0;
  background: black;
  -webkit-scroll-snap-type: y mandatory;
  -ms-scroll-snap-type: y mandatory;
  scroll-snap-type: y mandatory;
  scroll-snap-type: y mandatory;
}

@keyframes bounce {
  from {
    transform: translateY(0px);
  }
  to {
    transform: translateY(10px);
  }
}

a {
  text-decoration: none;
}

#first {
  /* height: 100vh;
  width: 100vw; */
  /* background: linear-gradient(117deg, #000336 -9%, #8affb9 187.89%); */
  /* background-color: #141414; */
  background-image: url("/desktopBackground.svg");
  background-size: cover;
  height: 100vh;
}

h2 {
  font-family: "poppins", sans-serif;
  color: #8affb9;
  font-weight: 600;
  text-shadow: 0 10px 30px rgb(92, 182, 129);
}

#headerRow {
  padding-top: 20px;
  margin-left: 2%;
  width: 98%;
  display: flex;
  justify-content: center;
  margin-right: 2%;
}

#logo {
  width: 50vw;
}

#headerIcons {
  display: flex;
  justify-content: right;
  flex-direction: row;
  width: 50%;
  align-items: center;
}

#headerIcon {
  color: #ececec;
  font-family: "poppins", sans-serif;
  font-size: 18px;
  font-weight: 500;
  padding-left: 20px;
  padding-right: 20px;
}

h1 {
  font-family: "inter";
  color: white;
  font-size: 60px;
}

#main {
  width: 100vw;
  display: flex;
  justify-content: left;
  align-items: center;
  min-height: 90vh;
}

#leftContainer {
  /* background-color: red; */
  padding-top: 150px;
  width: 55%;
  margin-left: 10%;
  min-height: 90vh;
}

#rightContainer {
  width: 25%;
  height: 80vh;
  display: flex;
  justify-content: center;
}
#rightContainer img {
  max-height: 70vh;
  width: auto;
  float: right;
  -webkit-filter: drop-shadow(1px 1px 30px rgba(0, 254, 157, 0.22));
  filter: drop-shadow(1px 1px 30px rgba(0, 254, 157, 0.22));
}

.shadow {
}

#description {
  color: #ecececc1;
  font-size: 20px;
  font-family: "Poppins", sans-serif;
  padding-top: 30px;
  width: 80%;
}

#startButton {
  padding: 10px 20px;
  /* border: #8affb9; */
  /* border-style: solid;
  border-width: 1px;
  border-radius: 5px; */
  /* background-color: #8affb9de; */
  width: 200px;
  text-align: center;
  margin-top: 30px;
  color: #8affb9;
  font-weight: 500;
  box-shadow: 0 10px 30px rgba(92, 182, 129, 0.4);
  transition: all 1s;
  /* animation: bounce 1s ease-in-out infinite; */
  /* animation-fill-mode: both; */
  /* animation-direction: alternate; */
  border-radius: 30px;

  background: linear-gradient(90deg, #8affb9 -12.99%, #0b8aa1 118.87%);
}
#startText {
  color: #000336;
  text-align: center;
  font-family: Poppins;
  font-size: 18px;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
}

#startButton:hover {
  background-color: #8affb9;
  color: black;
  cursor: pointer;
  /* transform: scale(1.05); */
  transition: all 0.2s;
  box-shadow: 0 20px 40px rgba(92, 182, 129, 0.4);
}

#second {
  background-color: #141414;
  min-height: 100vh;
  padding-bottom: 100px;
}

#secondHero {
  padding-top: 80px;
  background: linear-gradient(90deg, #8affb9 -12.99%, #0b8aa1 118.87%);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  text-align: center;
  font-family: Inter;
  font-size: 64px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
}

#gradient {
  z-index: 100;
  margin-top: 60vh;
  position: absolute;
  width: 100vw;
  height: 25vh;
  background: linear-gradient(#14141400 0%, #141414 85%);
}

#demoContent {
  width: 80vw;
  min-height: 20vh;
  margin-left: 10vw;
  margin-right: 10vw;
  margin-top: 30px;
  display: flex;
  justify-content: space-evenly;
  /* align-items: center; */
}

#demoContent #left {
  width: 40%;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  flex-direction: column;
}

#demoContent #right {
  width: 40%;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  flex-direction: column;
}

#frame {
  width: 100%;
  height: 600px;
  background-color: rgba(0, 0, 0, 0.24);

  display: flex;
  justify-content: space-evenly;
  align-items: center;
  flex-direction: column;
  transition: all 0.2s;
  border: double 2px transparent;
  border-radius: 30px;
  background-image: linear-gradient(#1c1c1c, #1c1c1c),
    linear-gradient(to right, #8affb9, #0b8aa1);
  background-origin: border-box;
  background-clip: content-box, border-box;
  box-shadow: 20px 20px 60px #8affb912, -20px -20px 60px #8affb912;
}

#cardFrame {
  width: 80%;
  height: 35%;
  background-color: #141414;
  border-radius: 30px;
  box-shadow: 20px 20px 60px #0a0a0a, -20px -20px 60px #1e1e1e;
}

#cardFrame img {
  margin-top: 20px;
  margin-left: 20px;
}

#cardFrame #transaction {
  margin-left: 10%;
  width: 80%;
  height: 25px;
  background-color: #2b2b2b;
  border-radius: 30px;
  margin-top: 10px;
}

#textBlock {
  width: 100%;
  height: 400px;
  display: flex;
  justify-content: center;
  align-items: left;
  flex-direction: column;
}

#textBlock h1 {
  background: linear-gradient(90deg, #8affb9 -12.99%, #0b8aa1 118.87%);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  font-family: Inter;
  font-size: 35px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
  float: left;
}

#textBlock p {
  color: #ececec;
  font-family: Poppins;
  font-size: 20px;
  font-style: normal;
  font-weight: 300;
  line-height: normal;
  float: left;
  margin-top: 30px;
}

#box {
  display: flex;
  width: 100%;
  height: 80%;
  flex-direction: column;
  align-items: center;
}

#circle {
  width: 15px;
  height: 15px;
  margin-top: 15px;
  border-radius: 50%;
  background-color: #2b2b2b;
}

#box #transaction {
  width: 80%;
  height: 25px;
  background-color: #2b2b2b;
  border-radius: 30px;
  margin-top: 15px;
}

#bulb {
  margin-top: 10px;
  /* -webkit-filter: drop-shadow(1px 1px 30px rgba(0, 254, 157, 0.22));
         filter: drop-shadow(1px 1px 30px rgba(0, 254, 157, 0.22)); */
}

#suggestion {
  height: 25%;
  width: 80%;
  background-color: #141414;
  border-radius: 30px;
  display: flex;
  justify-content: center;
  align-items: center;
  box-shadow: 20px 20px 60px #0a0a0a, -20px -20px 60px #1e1e1e;
}

#suggestion #imageContainer {
  width: 30%;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
}

#ai {
  background: linear-gradient(90deg, #8affb9 -12.99%, #0b8aa1 118.87%);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

#suggestion #imageContainer img {
  height: 50px;
}

#suggestionContainer {
  width: 70%;
  height: 100%;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  flex-direction: column;
}

#suggestionContainer #transaction {
  width: 95%;
  height: 25px;
  background-color: #2b2b2b;
  border-radius: 30px;
  margin-right: 5%;
}

#signUpContainer {
  margin-top: 200px;
  width: 80vw;
  margin-left: 10vw;
  min-height: 100px;
  border-radius: 30px;
  border: double 2px transparent;
  border-radius: 30px;
  background-image: linear-gradient(#1c1c1c, #1c1c1c),
    linear-gradient(to right, #8affb9, #0b8aa1);
  background-origin: border-box;
  background-clip: content-box, border-box;
}

#signUpContainer h1 {
  font-family: Inter;
  font-size: 35px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
  background: linear-gradient(90deg, #8affb9 -12.99%, #0b8aa1 118.87%);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  margin-left: 40px;
  padding-top: 40px;
  margin-bottom: 30px;
}

.inputItem {
  width: 85%;
  height: 50px;
  margin-left: 5%;
  padding-left: 2.5%;
  padding-right: 2.5%;
  background-color: #141414;
  border: none;
  border-radius: 30px;
  margin-top: 15px;
  color: white;
  font-family: "Poppins", sans-serif;
  outline: none;
}

#submitButton {
  width: 90%;
  height: 50px;
  margin-left: 5%;
  background-color: #141414;
  border: none;
  border-radius: 30px;
  margin-top: 15px;
  color: #8affb9;
  font-family: "Poppins", sans-serif;
  outline: none;
}

#signUpContainer p {
  color: rgba(236, 236, 236, 0.191);
  font-family: Inter;
  font-size: 15px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
  margin-top: 30px;
  text-align: center;
  margin-bottom: 20px;
  padding-right: 10px;
  padding-left: 10px;
}

#errorMessage {
  color: rgb(255, 114, 114) !important;
  display: none;
}

#successMessage {
  color: #ffffff !important;
  display: none;
}

#snap {
  scroll-snap-align: start;
}

#headerIcon:hover {
  cursor: pointer;
}

#mobileMockup {
  display: none;
}

@media (pointer: none), (pointer: coarse), (-webkit-touch-callout: none) {
  #rightContainer img {
    display: none;
  }
  #rightContainer {
    width: 0%;
  }
  #leftContainer {
    width: 90%;
    margin-left: 5%;
    display: flex;
    align-items: center;
    flex-direction: column;
  }

  h1 {
    font-size: 100px;
    text-align: center;
    letter-spacing: -5px;
  }
  #logo img {
    margin-top: 10px;
    margin-left: 10px;
    height: 70px;
    width: auto;
    float: left;
  }
  #description {
    margin-top: 30px;
    font-size: 30px;
    width: 80%;
    text-align: center;
    color: rgba(255, 255, 255, 0.739);
  }
  #headerIcons {
    display: none;
  }
  #headerRow {
    justify-content: flex-start;
  }
  #startButton {
    margin-top: 80px;
    width: 400px;
    height: 60px;
    border-radius: 60px;
  }

  #startText {
    font-size: 40px;
  }
  #first {
    background-image: url("/mobileBackground.svg");
    background-size: cover;
  }
  #mobileMockup {
    display: block;
    margin-top: 250px;
    width: 80%;
    transform: rotate(-90deg);
  }
  #secondHero {
    font-size: 100px;
    margin-bottom: 30px;
  }
  #demoContent {
    margin-top: 80px;
    width: 90vw;
    margin-left: 5vw;
  }
  #textBlock h1 {
    font-size: 50px;
    text-align: left;
    letter-spacing: -2px;
  }
  #textBlock p {
    color: rgba(255, 255, 255, 0.593);
    font-size: 30px;
  }

  #signUpContainer h1 {
    font-size: 50px;
    letter-spacing: -2px;
    margin-left: none;
  }
  .inputItem {
    font-size: 30px;
    height: 80px;
  }

  #submitButton {
    height: 80px;
    font-size: 30px;
  }

  #signUpContainer p {
    font-size: 20px;
  }
}
